{...}: {
  programs.nixvim.plugins = {
    telescope = {
      enable = true;
      keymaps = {
        "<leader>g" = {
          action = "git_files";
          options.desc = "Telescope git files";
        };
        "<leader>d" = {
          action = "diagnostics";
          options.desc = "Telescope diagnostics";
        };
        "<leader>f" = {
          action = "fd";
          options.desc = "Telescope find files";
        };
      };
    };
    comment = {
      enable = true;
    };
    markdown-preview = {
      enable = true;
      settings.browser = "firefox";
    };
    lualine = {
      enable = true;
      sectionSeparators = {
        left = "";
        right = "";
      };
      componentSeparators = {
        left = "•";
        right = "•";
      };
    };
    luasnip = {
      enable = true;
    };
    friendly-snippets.enable = true;
    gitsigns = {
      enable = true;
    };
    treesitter = {
      enable = true;
      nixvimInjections = true;
      indent = true;
    };
    which-key = {
      enable = true;
    };
  };
}
